Subject: bug#68836: 29.2; Package contents inconsistency between git.savannah.gnu.org and Emacs ELPA

From: Stefan Kangas <[email-masked]>
Date: Wed, 31 Jan 2024 16:00:29 -0500

Emma Liddell <[email-masked]> writes:

> There is an inconsistency between the contents of the queue package when installed via Emacs - from the default "https://elpa.gnu.org/packages/" location - and GNU Savannah - git.savannah.gnu.org - for the package "queue".
>
> If I download queue in Emacs, the version of the file installed has a copyright is 2017. I assume it comes from https://elpa.gnu.org/packages/queue-0.2.el - it matches the version served by https://elpa.gnu.org packages/queue.html under the Latest header.
>
> If I navigate to http://git.savannah.gnu.org/cgit/emacs/elpa.git/tree/queue.el?h=externals/queue, its copyright is 2021 and contains newer changes that the version at https://elpa.gnu.org/packages/queue-0.2.el
>
> Thank you for taking the time to read.

This is because the Version header was last bumped in 2017, so the new
version has not been released on GNU ELPA yet:

https://git.savannah.gnu.org/cgit/emacs/elpa.git/commit/queue.el?h=externals/queue&id=c9ec2e33f26b068c40b8391e91a7839546fa8355

Maybe it's time to release a new version with the cl-lib changes added
by Stefan Monnier in 2021?  Copying in Stefan M and Toby to hear what
they think.